Package org.apache.sling.jcr.contentloader.internal.readers

# Class XmlReader.NodeDescription

java.lang.Object
org.apache.sling.jcr.contentloader.internal.readers.XmlReader.NodeDescription

Enclosing class:
  XmlReader

protected static final class XmlReader.NodeDescription extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final XmlReader.NodeDescription`
`SHARED`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NodeDescription()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addMixinType(String v)`
`static XmlReader.NodeDescription`
`create(XmlReader.NodeDescription desc, ContentCreator creator)`
`String`
`getName()`
`String`
`getPrimaryNodeType()`
`void`
`setName(String name)`
`void`
`setPrimaryNodeType(String primaryNodeType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHARED

public static final XmlReader.NodeDescription SHARED

## Constructor Details

### NodeDescription

protected NodeDescription()

## Method Details

### create

public static XmlReader.NodeDescription create(XmlReader.NodeDescription desc, ContentCreator creator) throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### getName

public String getName()

### setName

public void setName(String name)

### getPrimaryNodeType

public String getPrimaryNodeType()

### setPrimaryNodeType

public void setPrimaryNodeType(String primaryNodeType)

### addMixinType

public void addMixinType(String v)